//
//  Nylox
//  Copyright (C) 2006-2008 Agustin Alvarez
// 
//  This program is free software; you can redistribute it and/or modify it
//  under the terms of the GNU General Public License as published by the Free
//  Software Foundation; either version 2 of the License, or (at your option)
//  any later version.
// 
//  This program is distributed in the hope that it will be useful, but
//  WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
//  or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
//  for more details.
//  
//  You should have received a copy of the GNU General Public License along
//  with this program; if not, write to the Free Software Foundation, Inc.,
//  59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
//
//  K32Descriptor.h
//

#if !defined(_Hal_H)
  
 #define I86_IDT_DESC_BIT16			0x06	//00000110
 #define I86_IDT_DESC_BIT32			0x0E	//00001110
 #define I86_IDT_DESC_RING1			0x40	//01000000
 #define I86_IDT_DESC_RING2			0x20	//00100000
 #define I86_IDT_DESC_RING3			0x60	//01100000
 #define I86_IDT_DESC_PRESENT		0x80	//10000000
 
 int  HALInitialize();
 int  HALShutdown();
 
 int   HALInterruptSet(unsigned int INT,unsigned short Flags,unsigned short Sel,void (*Func));
 
 void  HALIrqEnable(unsigned int IRQ);
 void  HALIrqDisable(unsigned int IRQ);
 void  HALIrqDone(unsigned int IRQ);
 
 void  HalDisableInterrumpt();
 void  HalEnableInterrumpt();
 
 void  HalPerfomanceDelay(unsigned long Milliseconds);

 void i386PITRedirect();
 
#define _Hal_H
#endif
