//
//  Nylox
//  Copyright (C) 2006-2008 Agustin Alvarez
// 
//  This program is free software; you can redistribute it and/or modify it
//  under the terms of the GNU General Public License as published by the Free
//  Software Foundation; either version 2 of the License, or (at your option)
//  any later version.
// 
//  This program is distributed in the hope that it will be useful, but
//  WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
//  or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
//  for more details.
//  
//  You should have received a copy of the GNU General Public License along
//  with this program; if not, write to the Free Software Foundation, Inc.,
//  59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
//
//  K32Descriptor.h
//

#if !defined(_MEMORY_H)

#include <Arch/IA32/Memory.h>

void  mmPhysicalInit(DWORD ExtendedMemory,DWORD KernelStart,DWORD KernelEnd);
void  mmPhysicalFreePage(DWORD PageN);
void  mmPhysicalAllocPage(DWORD PageN);
BYTE  mmPhysicalIsPageFree(DWORD PageN);
DWORD mmPhysicalFindFreePage(DWORD Start);
DWORD mmPhysicalFindFreeRangePage(DWORD Start,DWORD Size);

void  mmVirtualInit(DWORD ExtendedMemory);
Page_T* mmVirtualGetPage(DWORD Address,int Make,Page_Directory_T *Dir);
void mmVirtualAllocFrame(Page_T* Page,int PVL,int RW);
void mmVirtualFreeFrame(Page_T* Page);

void* mmMalloc(DWORD Size,BYTE Align,DWORD* Phys); 
void  mmFree(void* Ptr);

#define _MEMORY_H
#endif
