//
//  Nylox
//  Copyright (C) 2006-2008 Agustin Alvarez
// 
//  This program is free software; you can redistribute it and/or modify it
//  under the terms of the GNU General Public License as published by the Free
//  Software Foundation; either version 2 of the License, or (at your option)
//  any later version.
// 
//  This program is distributed in the hope that it will be useful, but
//  WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
//  or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
//  for more details.
//  
//  You should have received a copy of the GNU General Public License along
//  with this program; if not, write to the Free Software Foundation, Inc.,
//  59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.


#if !defined(_libcstring_H)
  
typedef struct
{
 BYTE   X;
 BYTE   Y;
 BYTE   BPP;
 BYTE   SCROLL;
 WORD*  PTR;
 DWORD  SIZE;
 BYTE   TYPE;
 
 BYTE   CX;
 BYTE   CY;
 WORD   COLOR;
 
}libkernelConsole_tty;

 /** String References **/
 unsigned Strlen(const char *Str);
 unsigned Strcpy(char* Dest,const char *Str);
 unsigned Strncpy(char* Dest,const char *Str,unsigned Len);
 unsigned Strcat(char* Dest,const char *Str);
 unsigned Strncat(char* Dest,const char *Str,unsigned Len);
 unsigned Strcmp(char* Str1,const char* Str2);
 unsigned Strstr(char* Str1,char* Str2,const char* Delimit);
 char *Strnset(char* Dest,int Val,unsigned Lenght);

 /** Convertor References **/ 
 int Atoi(const char *Str);
 
 /**Printing References**/
 int Printf(const char *Format, ...);

#define _libcstring_H
#endif

